## GtkSourceGutterRendererText

GtkSourceGutterRendererText — Renders text in the gutter

## Functions

GtkSourceGutterRenderer * | gtk_source_gutter_renderer_text_new ()
void | gtk_source_gutter_renderer_text_set_markup ()
void | gtk_source_gutter_renderer_text_set_text ()
void | gtk_source_gutter_renderer_text_measure ()
void | gtk_source_gutter_renderer_text_measure_markup ()

## Properties

char * | markup | Read / Write / Construct
char * | text | Read / Write / Construct

## Types and Values

| GtkSourceGutterRendererText

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkSourceGutterRenderer
                ╰── GtkSourceGutterRendererText

## Includes

    #include <gtksourceview/gtksource.h>

## Description

A GtkSourceGutterRendererText can be used to render text in a cell of GtkSourceGutter.

## Functions

### gtk_source_gutter_renderer_text_new ()

    GtkSourceGutterRenderer *
    gtk_source_gutter_renderer_text_new (void);

Create a new GtkSourceGutterRendererText.

#### Returns

A GtkSourceGutterRenderer.

[transfer full]

### gtk_source_gutter_renderer_text_set_markup ()

    void
    gtk_source_gutter_renderer_text_set_markup
                                   (GtkSourceGutterRendererText *renderer,
                                    const gchar *markup,
                                    gint length);

### gtk_source_gutter_renderer_text_set_text ()

    void
    gtk_source_gutter_renderer_text_set_text
                                   (GtkSourceGutterRendererText *renderer,
                                    const gchar *text,
                                    gint length);

### gtk_source_gutter_renderer_text_measure ()

    void
    gtk_source_gutter_renderer_text_measure
                                   (GtkSourceGutterRendererText *renderer,
                                    const gchar *text,
                                    gint *width,
                                    gint *height);

Measures the text provided using the pango layout used by the GtkSourceGutterRendererText.

#### Parameters

renderer | a GtkSourceGutterRendererText. |
text | the text to measure. |
width | location to store the width of the text in pixels, or `NULL`. | [out][optional]
height | location to store the height of the text in pixels, or `NULL`. | [out][optional]

### gtk_source_gutter_renderer_text_measure_markup ()

    void
    gtk_source_gutter_renderer_text_measure_markup
                                   (GtkSourceGutterRendererText *renderer,
                                    const gchar *markup,
                                    gint *width,
                                    gint *height);

Measures the pango markup provided using the pango layout used by the GtkSourceGutterRendererText.

#### Parameters

renderer | a GtkSourceGutterRendererText. |
markup | the pango markup to measure. |
width | location to store the width of the text in pixels, or `NULL`. | [out][optional]
height | location to store the height of the text in pixels, or `NULL`. | [out][optional]

## Types and Values

### GtkSourceGutterRendererText

    typedef struct _GtkSourceGutterRendererText GtkSourceGutterRendererText;

## Property Details

### The `“markup”` property

      “markup”                   char *

The markup.

Owner: GtkSourceGutterRendererText

Flags: Read / Write / Construct

Default value: NULL

### The `“text”` property

      “text”                     char *

The text.

Owner: GtkSourceGutterRendererText

Flags: Read / Write / Construct

Default value: NULL

## See Also

GtkSourceGutterRenderer, GtkSourceGutter